# Generated by Django 3.2.6 on 2023-03-29 03:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0042_auto_20221214_2231'),
    ]

    operations = [
        migrations.CreateModel(
            name='Announcement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('description', models.TextField(max_length=1000)),
                ('jenis', models.CharField(choices=[('ASN', 'ASN'), ('Umum', 'Umum')], default='Umum', max_length=10)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('dokumen', models.FileField(blank=True, null=True, upload_to='profile/announcement/', validators=[rizq_sanjaya_app.models.profile.validate_file_dokumen, rizq_sanjaya_app.models.profile.validate_file_size_dokumen])),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Agenda',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('name', models.CharField(max_length=255)),
                ('slug', models.SlugField(max_length=300, unique=True)),
                ('start_date', models.DateField()),
                ('finish_date', models.DateField()),
                ('start_time', models.TimeField(blank=True, null=True)),
                ('finish_time', models.TimeField(blank=True, null=True)),
                ('description', models.TextField(max_length=600)),
                ('every_year', models.CharField(max_length=5)),
                ('color', models.CharField(choices=[('#0d6efd', 'Biru'), ('#6610f2', 'Indigo'), ('#6f42c1', 'Ungu'), ('#d63384', 'Merah Muda'), ('#dc3545', 'Merah'), ('#fd7e14', 'Oranye'), ('#ffc107', 'Kuning'), ('#198754', 'Hijau'), ('#20c997', 'Teal'), ('#0dcaf0', 'Cyan'), ('#adb5bd', 'Abu-Abu'), ('#000', 'Hitam')], default='#fd7e14', max_length=10)),
                ('last_updated_by', models.CharField(blank=True, max_length=5, null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
